%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name gitdb2
%define version 2.0.6
%define unmangled_version 2.0.6
%define unmangled_version 2.0.6
%define release 1

Summary: Git Object Database
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}gitdb2
Version: %{version}
Release: %{release}
Source0: gitdb2-%{unmangled_version}.tar.gz
License: BSD License
Group: Development/Libraries
BuildRoot: %{_tmppath}/gitdb2-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Sebastian Thiel <byronimo@gmail.com>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/gitpython-developers/gitdb


%description
GitDB is a pure-Python git object database


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n gitdb2-%{unmangled_version} -n gitdb2-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
